Loading...
Searching...
No Matches
Halide::Internal::JITErrorBuffer Struct Reference

`#include <JITModule.h>`

## Public Types

enum | { MaxBufSize = 4096 }

## Public Member Functions

void | concat (const char *message)
std::string | str () const

## Static Public Member Functions

static void | handler (JITUserContext *ctx, const char *message)

## Public Attributes

char | buf [MaxBufSize]
std::atomic< size_t > | end {0}

## Detailed Description

Definition at line 326 of file JITModule.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
MaxBufSize |

Definition at line 327 of file JITModule.h.

## Member Function Documentation

## concat()

void Halide::Internal::JITErrorBuffer::concat | ( | const char * | message | ) |

## str()

std::string Halide::Internal::JITErrorBuffer::str | ( |  | ) | const

## handler()

void Halide::Internal::JITErrorBuffer::handler | ( | JITUserContext * | ctx,
|  | const char * | message )

static

## Member Data Documentation

## buf

char Halide::Internal::JITErrorBuffer::buf[MaxBufSize]

Definition at line 328 of file JITModule.h.

## end

std::atomic<size_t> Halide::Internal::JITErrorBuffer::end {0}

Definition at line 329 of file JITModule.h.

The documentation for this struct was generated from the following file:

- src/JITModule.h